Bug 11798 - samba 4.4.0rc5 build fails if --without-quotas specified
samba 4.4.0rc5 build fails if --without-quotas specified
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on: 11788
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-16 18:19 UTC by Uri Simchoni
Modified: 2016-03-30 07:58 UTC (History)
3 users (show)

See Also:


Attachments
git-am fix for 4.4.0 and 4.3.next (1.53 KB, patch)
2016-03-17 04:39 UTC, Uri Simchoni
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Uri Simchoni 2016-03-16 18:19:01 UTC
When --without-quotas is specified for configure, the build fails at make stage.
Comment 1 Uri Simchoni 2016-03-17 04:39:37 UTC
Created attachment 11927 [details]
git-am fix for 4.4.0 and 4.3.next

For v4-3-test, this patch should be applied after the patch to bug https://bugzilla.samba.org/show_bug.cgi?id=11788
Comment 2 Uri Simchoni 2016-03-17 06:23:18 UTC
For 4.3.next, the original patch for quotas on Solaris hasn't landed in v4-3-test yet. Should I submit a squashed fix for 4.3 to the other bug (11788) instead of this fix?
Thanks,
Uri
Comment 3 Jeremy Allison 2016-03-18 17:03:59 UTC
Comment on attachment 11927 [details]
git-am fix for 4.4.0 and 4.3.next

LGTM for 4.4.0.
Comment 4 Jeremy Allison 2016-03-18 17:05:43 UTC
No, I just added #11788 as a dependency for this. I'm sure Karolin will make sure the patches get applied in the right order.

Re-assigning to Karolin for 4.4.0, 4.3.next.
Comment 5 Karolin Seeger 2016-03-21 11:49:27 UTC
(In reply to Jeremy Allison from comment #4)
Pushed to autobuild-v4-[4|3]-test.
Comment 6 Karolin Seeger 2016-03-23 08:51:10 UTC
(In reply to Karolin Seeger from comment #5)
Pished to v4-4-test, re-trying autobuild-v4-3-test.
Comment 7 Karolin Seeger 2016-03-30 07:58:53 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to both branches.
Closing out bug report.

Thanks!